<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:10 CET 2009 -->
<TITLE>
DefaultDoubleVector
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.impl.DefaultDoubleVector class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultDoubleVector";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultDoubleVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DefaultDoubleVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultDoubleVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.impl</FONT>
<BR>
Class DefaultDoubleVector</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">ch.javasoft.smx.impl.AbstractDoubleMatrix</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.smx.impl.DefaultDoubleVector</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.39"><B>DefaultDoubleVector</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A><DT>implements <A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#DefaultDoubleVector(double[], boolean)">DefaultDoubleVector</A></B>(double[]&nbsp;values,
                                       boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor without cloning the values</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#DefaultDoubleVector(java.lang.Double[], boolean)">DefaultDoubleVector</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[]&nbsp;values,
                                       boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor, values are cloned</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#DefaultDoubleVector(int, boolean)">DefaultDoubleVector</A></B>(int&nbsp;size,
                                       boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getColumnCount()">getColumnCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getDoubleValueAt(int)">getDoubleValueAt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getDoubleValueAt(int, int)">getDoubleValueAt</A></B>(int&nbsp;row,
                                 int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getIndexForMatrixAccess(int, int)">getIndexForMatrixAccess</A></B>(int&nbsp;row,
                                               int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getNumberValueAt(int)">getNumberValueAt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getRowCount()">getRowCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#getSize()">getSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#isColumnVector()">isColumnVector</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#isRowVector()">isRowVector</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#newInstance(java.lang.Double[][], boolean)">newInstance</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[][]&nbsp;data,
                       boolean&nbsp;rowsInDim1)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#newInstance(int, int)">newInstance</A></B>(int&nbsp;rows,
                       int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#setValueAt(int, double)">setValueAt</A></B>(int&nbsp;index,
                     double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#setValueAt(int, java.lang.Double)">setValueAt</A></B>(int&nbsp;index,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#setValueAt(int, int, double)">setValueAt</A></B>(int&nbsp;row,
                     int&nbsp;col,
                     double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#swapColumns(int, int)">swapColumns</A></B>(int&nbsp;colA,
                       int&nbsp;colB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#swapRows(int, int)">swapRows</A></B>(int&nbsp;rowA,
                 int&nbsp;rowB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#swapValues(int, int)">swapValues</A></B>(int&nbsp;indexA,
                     int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#toReadableMatrix(boolean)">toReadableMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#toReadableVector(boolean)">toReadableVector</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#toWritableMatrix(boolean)">toWritableMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#toWritableVector(boolean)">toWritableVector</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.impl.AbstractDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.smx.impl.<A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, java.math.BigInteger, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, double)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, long, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, java.math.BigInteger, java.math.BigInteger, int, java.math.BigInteger, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, java.math.BigInteger, int, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, double, int, double)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, int, int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, long, long, int, long, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(ch.javasoft.smx.iface.DoubleMatrix, double)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(ch.javasoft.smx.iface.DoubleMatrix, ch.javasoft.smx.iface.DoubleMatrix, double)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumn(ch.javasoft.smx.iface.ReadableDoubleMatrix, int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumns(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRow(ch.javasoft.smx.iface.ReadableDoubleMatrix, int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberRows()">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getSignumAt(int, int)">getSignumAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, java.math.BigInteger, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, double)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, long, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, java.math.BigInteger, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, double)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, long, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, ch.javasoft.math.BigFraction)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.math.BigInteger, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.lang.Double)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, long, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toArray(ch.javasoft.smx.iface.ReadableDoubleMatrix, double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toMultilineString(ch.javasoft.smx.iface.ReadableDoubleMatrix)">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString(ch.javasoft.smx.iface.ReadableDoubleMatrix)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString(ch.javasoft.smx.iface.ReadableDoubleMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.OutputStream, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.PrintWriter, ch.javasoft.smx.iface.ReadableDoubleMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.Writer, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.OutputStream, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.Writer)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.Writer, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberRows()">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getSignumAt(int, int)">getSignumAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html#add(int, int, double)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html#addRowToOtherRow(int, double, int, double)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html#multiply(int, int, double)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html#multiplyRow(int, double)">multiplyRow</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableBigIntegerRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#add(int, int, java.math.BigInteger, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#addRowToOtherRow(int, java.math.BigInteger, java.math.BigInteger, int, java.math.BigInteger, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#multiply(int, int, java.math.BigInteger, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#multiplyRow(int, java.math.BigInteger, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#setValueAt(int, int, ch.javasoft.math.BigFraction)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html#setValueAt(int, int, java.math.BigInteger, java.math.BigInteger)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#add(int, int, long, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#addRowToOtherRow(int, long, long, int, long, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#multiply(int, int, long, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#multiplyRow(int, long, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html#setValueAt(int, int, long, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#setValueAt(int, int, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntRationalMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#add(int, int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#addRowToOtherRow(int, int, int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#multiply(int, int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#multiplyRow(int, int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html#setValueAt(int, int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableBigIntegerMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#add(int, int, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#addRowToOtherRow(int, java.math.BigInteger, int, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#multiply(int, int, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#multiplyRow(int, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html#setValueAt(int, int, java.math.BigInteger)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableLongMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html#setValueAt(int, int, long)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableIntMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html#setValueAt(int, int, int)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.VectorBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.Writer)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.VectorBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.Writer)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultDoubleVector(int, boolean)"><!-- --></A><H3>
DefaultDoubleVector</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.44"><B>DefaultDoubleVector</B></A>(int&nbsp;size,
                           boolean&nbsp;columnVector)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultDoubleVector(double[], boolean)"><!-- --></A><H3>
DefaultDoubleVector</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.50"><B>DefaultDoubleVector</B></A>(double[]&nbsp;values,
                           boolean&nbsp;columnVector)</PRE>
<DL>
<DD>Constructor without cloning the values
<P>
</DL>
<HR>

<A NAME="DefaultDoubleVector(java.lang.Double[], boolean)"><!-- --></A><H3>
DefaultDoubleVector</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.57"><B>DefaultDoubleVector</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[]&nbsp;values,
                           boolean&nbsp;columnVector)</PRE>
<DL>
<DD>Constructor, values are cloned
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="isColumnVector()"><!-- --></A><H3>
isColumnVector</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.64"><B>isColumnVector</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isColumnVector()">isColumnVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isRowVector()"><!-- --></A><H3>
isRowVector</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.67"><B>isRowVector</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isRowVector()">isRowVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.72"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toReadableVector(boolean)"><!-- --></A><H3>
toReadableVector</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.75"><B>toReadableVector</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#toReadableVector(boolean)">toReadableVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toWritableVector(boolean)"><!-- --></A><H3>
toWritableVector</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.78"><B>toWritableVector</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#toWritableVector(boolean)">toWritableVector</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toReadableMatrix(boolean)"><!-- --></A><H3>
toReadableMatrix</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.82"><B>toReadableMatrix</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toWritableMatrix(boolean)"><!-- --></A><H3>
toWritableMatrix</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.86"><B>toWritableMatrix</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(int, int)"><!-- --></A><H3>
newInstance</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.90"><B>newInstance</B></A>(int&nbsp;rows,
                                int&nbsp;cols)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#newInstance(int, int)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(java.lang.Double[][], boolean)"><!-- --></A><H3>
newInstance</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.103"><B>newInstance</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[][]&nbsp;data,
                                boolean&nbsp;rowsInDim1)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#newInstance(java.lang.Double[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#newInstance(java.lang.Double[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(N[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(N[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#newInstance(N[][], boolean)">newInstance</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose()"><!-- --></A><H3>
transpose</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.133"><B>transpose</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#transpose()">transpose</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleValueAt(int)"><!-- --></A><H3>
getDoubleValueAt</H3>
<PRE>
public double <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.137"><B>getDoubleValueAt</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#getDoubleValueAt(int)">getDoubleValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSize()"><!-- --></A><H3>
getSize</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.141"><B>getSize</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#getSize()">getSize</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getIndexForMatrixAccess(int, int)"><!-- --></A><H3>
getIndexForMatrixAccess</H3>
<PRE>
protected int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.145"><B>getIndexForMatrixAccess</B></A>(int&nbsp;row,
                                      int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleValueAt(int, int)"><!-- --></A><H3>
getDoubleValueAt</H3>
<PRE>
public double <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.158"><B>getDoubleValueAt</B></A>(int&nbsp;row,
                               int&nbsp;col)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleValueAt(int, int)">getDoubleValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberValueAt(int)"><!-- --></A><H3>
getNumberValueAt</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.162"><B>getNumberValueAt</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html#getNumberValueAt(int)">getNumberValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setValueAt(int, java.lang.Double)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.166"><B>setValueAt</B></A>(int&nbsp;index,
                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#setValueAt(int, N)">setValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getColumnCount()"><!-- --></A><H3>
getColumnCount</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.170"><B>getColumnCount</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCount()"><!-- --></A><H3>
getRowCount</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.174"><B>getRowCount</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setValueAt(int, double)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.178"><B>setValueAt</B></A>(int&nbsp;index,
                       double&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html#setValueAt(int, double)">setValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setValueAt(int, int, double)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.182"><B>setValueAt</B></A>(int&nbsp;row,
                       int&nbsp;col,
                       double&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html#setValueAt(int, int, double)">setValueAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapValues(int, int)"><!-- --></A><H3>
swapValues</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.186"><B>swapValues</B></A>(int&nbsp;indexA,
                       int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#swapValues(int, int)">swapValues</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapRows(int, int)"><!-- --></A><H3>
swapRows</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.192"><B>swapRows</B></A>(int&nbsp;rowA,
                     int&nbsp;rowB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapColumns(int, int)"><!-- --></A><H3>
swapColumns</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DefaultDoubleVector.html#line.203"><B>swapColumns</B></A>(int&nbsp;colA,
                        int&nbsp;colB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#swapColumns(int, int)">swapColumns</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultDoubleVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DefaultDoubleVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultDoubleVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
